# registerIgnoredDependency method

1. @override

void registerIgnoredDependency(

1. Class type

)
override

Registers a dependency type that should be ignored during autowiring.

Ignored dependencies are not automatically wired even if they match by type or name. Useful for framework types that shouldn't be injected.

## Usage Example:

    factory.registerIgnoredDependency(Class<Logger>()); // Framework logger
    factory.registerIgnoredDependency(Class<Config>()); // Global config

@param type The dependency type to ignore

## Implementation

    @override
    void registerIgnoredDependency(Class type) {
      getPodFactory().registerIgnoredDependency(type);
    }